# vim: set sw=4 ts=4 et:

Name:           gecko-mediaplayer
Summary:        Multimedia browser plugin for Gecko based browsers
Version:        1.0.0
Release:        1.pm.1.1
License:        GNU General Public License version 2 (GPL v2)
Group:          Productivity/Networking/Web/Browsers
URL:            http://code.google.com/p/gecko-mediaplayer/
# http://gecko-mediaplayer.googlecode.com/files/gecko-mediaplayer-%{version}.tar.gz
Source:         gecko-mediaplayer-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:       gnome-mplayer
BuildRequires:  gcc-c++ pkgconfig gettext dbus-1-devel dbus-1-glib-devel glib2-devel gconf2-devel
BuildRequires:  xorg-x11-devel
%if 0%{?suse_version} >= 1130
BuildRequires:  mozilla-xulrunner192-devel
%else
BuildRequires:  mozilla-xulrunner191-devel
%endif
Provides:       MIME(application/asx)
Provides:       MIME(video/x-ms-asf-plugin)
Provides:       MIME(video/x-msvideo)
Provides:       MIME(video/msvideo)
Provides:       MIME(application/x-mplayer2)
Provides:       MIME(application/x-ms-wmv)
Provides:       MIME(video/x-ms-asf)
Provides:       MIME(video/x-ms-wm)
Provides:       MIME(video/x-ms-wmv)
Provides:       MIME(audio/x-ms-wmv)
Provides:       MIME(video/x-ms-wmp)
Provides:       MIME(application/x-ms-wmp)
Provides:       MIME(video/x-ms-wvx)
Provides:       MIME(audio/x-ms-wax)
Provides:       MIME(audio/x-ms-wma)
Provides:       MIME(application/x-drm-v2)
Provides:       MIME(audio/wav)
Provides:       MIME(audio/x-wav)
Provides:       MIME(video/quicktime)
Provides:       MIME(video/x-quicktime)
Provides:       MIME(image/x-quicktime)
Provides:       MIME(appplication/x-quicktimeplayer)
Provides:       MIME(audio/x-mpegurl)
Provides:       MIME(video/x-mpegurl)
Provides:       MIME(video/mpeg)
Provides:       MIME(audio/mpeg)
Provides:       MIME(video/x-mpeg)
Provides:       MIME(video/x-mpeg2)
Provides:       MIME(audio/x-mpeg)
Provides:       MIME(audio/mpeg2)
Provides:       MIME(audio/x-mpeg2)
Provides:       MIME(audio/mp4)
Provides:       MIME(audio/x-mp4)
Provides:       MIME(video/mp4)
Provides:       MIME(video/x-m4v)
Provides:       MIME(video/3gpp)
Provides:       MIME(audio/mpeg3)
Provides:       MIME(application/x-ogg)
Provides:       MIME(application/ogg)
Provides:       MIME(audio/x-ogg)
Provides:       MIME(audio/ogg)
Provides:       MIME(video/x-ogg)
Provides:       MIME(video/ogg)

%gconf_schemas_prereq

%description
Gecko Media Player is a browser plugin that uses GNOME MPlayer to play media in
a browser. It should work with all browsers on Unix-ish systems(Linux, BSD,
Solaris) and use the NS4 API (Mozilla, Firefox, Opera, etc.). Gecko Media
Player is in heavy development, but I wanted to get some code drops out there
so that people can start using and testing it.

%prep
%setup -q

%build
%configure
%__make %{?_smp_flags}

%install
%makeinstall
%__rm -fr "%{buildroot}%{_datadir}/doc"

%__mv %{buildroot}%_libdir/mozilla/plugins %{buildroot}%_libdir/browser-plugins
rmdir  %{buildroot}%_libdir/mozilla
%__chmod +x %{buildroot}%_libdir/browser-plugins/gecko*

%find_lang gecko-mediaplayer
%find_gconf_schemas

cat gecko-mediaplayer.lang "%{name}.schemas_list" > files.lst

%pre -f %{name}.schemas_pre

%preun -f %{name}.schemas_preun

%posttrans -f %{name}.schemas_posttrans

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -f files.lst
%defattr(-,root,root)
%doc ChangeLog COPYING DOCS/tech/javascript.txt
%{_libdir}/browser-plugins/gecko*

%changelog
* Mon Mar  7 2011 pascal.bleser@opensuse.org
- build against mozilla-xulrunner192-devel on 11.3 and 11.4
* Thu Nov 11 2010 pascal.bleser@opensuse.org
- update to 1.0.0
* Sun Feb  7 2010 detlef@links2linux.de
- update to 0.9.9
* Wed Jan  6 2010 pascal.bleser@opensuse.org
- update to SVN trunk r345
* Tue Sep 29 2009 pascal.bleser@opensuse.org
- update to 0.9.8
- spec file fixes
- add MIME provides
* Tue Nov 18 2008 andrea@links2linux.de
- package upgraded to version 0.9.0
* Tue Sep 30 2008 andrea@links2linux.de
- package upgraded to version 0.8.0
* Tue Jul 29 2008 andrea@opensuse.org
- package upgraded to version 0.6.3
